## wireless-regdb 2024.07.04

=== debian/changelog ===
wireless-regdb (2024.07.04-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal (LP: #2073274)
    - debian/rules: Continue shipping CRDA regulatory.bin
    - debian/control: Continue suggesting crda
    - debian/control: Continue depending on debhelper-compat 12

 -- Noah Wager <noah.wager@canonical.com>  Fri, 13 Sep 2024 11:25:52 -0700

wireless-regdb (2024.07.04-0ubuntu1) oracular; urgency=medium

  * New upstream version 2024.07.04 (LP: #2073274)

 -- Noah Wager <noah.wager@canonical.com>  Fri, 12 Jul 2024 19:08:59 -0400

wireless-regdb (2022.06.06-0ubuntu2) mantic; urgency=medium

  * Drop shipping unused /lib/crda/regulatory.bin

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 17 Jul 2023 22:43:02 +0100

wireless-regdb (2022.06.06-0ubuntu1) kinetic; urgency=medium

  * New upstream version 2022.06.06 (LP: #1980145)

 -- Seth Forshee <seth@forshee.me>  Wed, 29 Jun 2022 08:23:01 -0500

wireless-regdb (2021.08.28-0ubuntu2) kinetic; urgency=medium

  * d/control: Remove suggestion to crda since this package was removed

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 12 May 2022 13:10:31 +0200

wireless-regdb (2021.08.28-0ubuntu1) impish; urgency=medium

  * New upstream version 2021.08.28 (LP: #1941955)

 -- Seth Forshee <seth@forshee.me>  Sat, 28 Aug 2021 11:56:48 -0500

wireless-regdb (2021.07.14-0ubuntu1) impish; urgency=medium

  * New upstream version 2021.07.14 (LP: #1936255)
  * debian/gbp.conf: Add upstream tag format
  * debian/control: Update maintainer email address

 -- Seth Forshee <seth@forshee.me>  Wed, 14 Jul 2021 15:47:05 -0500
