=== debian/watch ===
version=3
https://www.kernel.org/pub/software/network/wireless-regdb/wireless-regdb-(.*)\.tar\.xz debian
