## wireless-regdb 2024.10.07

=== debian/changelog ===
wireless-regdb (2024.10.07-2) unstable; urgency=medium

  [ Colin Watson ]
  * d/tests/check-signatures: Fix subprocess cleanup (closes: #1092796).

 -- Ben Hutchings <benh@debian.org>  Wed, 22 Jan 2025 20:07:01 +0100

wireless-regdb (2024.10.07-1) unstable; urgency=medium

  * New upstream version:
    - Update regulatory info for Qatar (QA) on 6GHz
    - Update regulatory info for New Zealand (NZ) for 2022
    - Update regulatory info for Peru (PE) on 6GHz
    - Update regulatory info for El Salvador (SV) on 6GHz
    - Update regulatory info for Togo (TG) for 2022
    - Add regulatory info for Namibia (NA) for 2023
    - Update regulatory info for Bahrain (BH) for 2024
    - Update regulatory info for Guatemala (GT) for 2020
    - Update regulatory info for Philippines (PH) on 6GHz
    - Correct regulatory rules for China (CN)
    - Update regulatory info for Kuwait (KW) for 2022
    - Update regulatory info for Israel (IL) for 2021
    - Update regulatory info for Honduras (HN) for 2023
    - Correct regulatory rules of 6GHz frequency for Türkiye (TR)
    - Update regulatory info for Serbia (RS) for 2024
    - Update regulatory info for Pakistan (PK) for 2024
    - Update regulatory info for Tanzania (TZ) for 2024
    - update regulatory database based on preceding changes
  * Revert "Run scripts with Python 3" and Build-Depend on python-is-python3

 -- Ben Hutchings <benh@debian.org>  Wed, 30 Oct 2024 04:29:54 +0100

wireless-regdb (2024.07.04-1) unstable; urgency=medium

  * New upstream version:
    - Update regulatory rules for Mongolia (MN) on 6GHz
    - Update regulatory rules for Saudi Arabia (SA) on 6GHz
    - Update regulatory rules for South Africa (ZA) on 6GHz
    - Update regulatory info for Thailand (TH) on 6GHz
    - Update regulatory info for Malaysia (MY) for 2022
    - Update regulatory info for Morocco (MA) on 6GHz
    - Update regulatory info for Chile (CL) on 6GHz
    - Update regulatory info for Mexico (MX) on 6GHz
    - Update regulatory info for Iceland (IS) on 6GHz
    - Update regulatory info for Mauritius(MU) on 6GHz
    - Update regulatory info for Argentina (AR) on 6GHz
    - Update regulatory info for United Arab Emirates (AE) on 6GHz
    - Update regulatory info for Colombia (CO) on 6GHz
    - Update regulatory info for Costa Rica (CR) for 2021
    - Update regulatory info for Dominican Republic (DO) on 6GHz
    - Update regulatory info for Liechtenstein (LI) on 6GHz
    - Update regulatory info for Jordan (JO) for 2022
    - Update regulatory info for Kenya (KE) for 2022
    - Update regulatory info for Macao (MO) for 2024
    - update regulatory database based on preceding changes

 -- Ben Hutchings <benh@debian.org>  Wed, 10 Jul 2024 22:17:58 +0200
