## wireless-regdb 2025.02.20

=== debian/changelog ===
wireless-regdb (2025.02.20-1~deb12u1) bookworm; urgency=medium

  * Backport to bookworm:
    - d/salsa-ci.yml: Set RELEASE to bookworm
  * d/salsa-ci.yml: Run lintian from the target release, not always unstable

 -- Ben Hutchings <benh@debian.org>  Wed, 30 Apr 2025 13:47:05 +0200

wireless-regdb (2025.02.20-1) unstable; urgency=medium

  * New upstream version:
    - assert and correct maximum bandwidth within frequency difference
    - Update regulatory info for Syria (SY) for 2020
    - Update regulatory info for Moldova (MD) on 6GHz for 2022
    - Update regulatory info for Azerbaijan (AZ) on 6GHz for 2024
    - Update regulatory info for Oman (OM)
    - Update regulatory rules for Armenia (AM) on 2.4 and 5 GHz
    - Permit 320 MHz bandwidth in 6 GHz band in ETSI/CEPT
    - Update regulatory rules for Austria (AT)
    - Update regulatory info for Cayman Islands (KY) for 2024
    - allow NO-INDOOR flag in db.txt
    - Update regulatory rules for Iran (IR) on both 2.4 and 5Ghz for 2021
    - Update frequency range with NO-INDOOR for Oman (OM)
    - update regulatory database based on preceding changes

 -- Ben Hutchings <benh@debian.org>  Sun, 16 Mar 2025 22:46:41 +0100
