## wireless-regdb 2025.02.20-1~deb12u1+11.0trisquel1

=== debian/changelog ===
wireless-regdb (2025.02.20-1~deb12u1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 17 May 2025 12:41:31 +0000
