## wireless-regdb 2025.02.20-1trisquel1

=== debian/changelog ===
wireless-regdb (2025.02.20-1trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 24 Apr 2025 07:57:47 +0000
