## wireless-regdb 2025.07.10

=== debian/changelog ===
wireless-regdb (2025.07.10-1~deb11u1) bullseye-security; urgency=high

  * Backport to bullseye:
    - Add my signature for regulatory.bin

 -- Ben Hutchings <benh@debian.org>  Sat, 06 Sep 2025 17:22:58 +0200

wireless-regdb (2025.07.10-1) unstable; urgency=medium

  * New upstream version:
    - Update regulatory info for Indonesia (ID) for 2025
    - Permit 320 MHz bandwidth in 6 GHz band for GB
    - Update regulatory info for Egypt (EG) for 2024
    - Update regulatory rules for Brazil (BR) on 6GHz
    - Update regulatory info for Vietnam (VN) for 2025
    - Update regulatory info for Estonia (EE) for 2024
    - update regulatory rules for Paraguay (PY) on 6 GHz for 2025
    - Update regulatory info for CEPT countries for 6GHz listed by WiFi
      Alliance
    - update regulatory rules for Bosnia and Herzegovina (BA) for 6 GHz
  * d/upstream/signing-key.asc: Update for later expiry date and new uids

 -- Ben Hutchings <benh@debian.org>  Fri, 18 Jul 2025 13:18:59 +0200

wireless-regdb (2025.02.20-1~deb11u1) bullseye-security; urgency=high

  * Backport to bullseye:
    - Add my signature for regulatory.bin
  * d/salsa-ci.yml: Run lintian from the target release, not always unstable

 -- Ben Hutchings <benh@debian.org>  Mon, 19 May 2025 19:42:53 +0200
