=== debian/tests/control ===
Tests: check-signatures
Depends: wireless-regdb, linux-source, openssl, python3
