=== debian/watch ===
version=3
opts="pgpmode=mangle, pgpsigurlmangle=s|\.xz$|.sign|, decompress" \
https://www.kernel.org/pub/software/network/wireless-regdb/wireless-regdb-(.*)\.tar\.xz debian
