=== debian/changelog ===
wireless-regdb (2025.07.10-1~deb12u1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 06 Sep 2025 12:53:20 +0000

wireless-regdb (2025.07.10-1~deb12u1) bookworm; urgency=medium

  * Backport to bookworm:
    - d/salsa-ci.yml: Suppress false bad-distribution-in-changes-file error

 -- Ben Hutchings <benh@debian.org>  Sun, 03 Aug 2025 14:50:20 +0200
