=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 12),
  openssl,
@@ -19,7 +19,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: crda
 Description: wireless regulatory database for Linux
  This package provides a machine-readable database of legal
  regulations on radio emissions that affect use of wireless networking.
