## wireless-regdb 2025.07.10-1trisquel1

=== debian/changelog ===
wireless-regdb (2025.07.10-1trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 23 Jul 2025 06:49:38 +0000
