## wireless-regdb 2025.10.07

=== debian/changelog ===
wireless-regdb (2025.10.07-1) unstable; urgency=medium

  * New upstream version:
    - update regulatory rules for Botswana (BW) for 2022
    - update regulatory rules for Sint Marteen (SX) for 2018
    - Update regulatory info including bandwidth for Costa Rica (CR) for 2023
    - Permit lower 6 GHz band for Kazakhstan (KZ)
  * d/salsa-ci.yml: Remove obsolete lintian error suppression
  * d/upstream/signing-key.asc: Update for later expiry date
  * d/watch: Convert to version 5 format

 -- Ben Hutchings <benh@debian.org>  Mon, 20 Oct 2025 20:42:25 +0200
