=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 12),
  openssl,
