=== debian/watch ===
Version: 5

Source: https://www.kernel.org/pub/software/network/wireless-regdb/
Matching-Pattern: wireless-regdb-(.*)\.tar\.xz
Decompress: yes
Pgpmode: mangle
Pgpsigurlmangle: s|\.xz$|.sign|
