## wireless-regdb 2026.02.04

=== debian/changelog ===
wireless-regdb (2026.02.04-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version:
    - Update regulatory info for Australia (AU) for 2025
    - Update broken link in regulatory.bin(5) manpage
    - Update regulatory info for Malaysia (MY) for 2024
    - Update regulatory info for Malaysia (MY) for 2025
    - Update regulatory info for Tunisia (TN) on 6GHz for 2025
    - Update regulatory info for Canada (CA) for 2025
  * d/rules: Install regulatory.db under /usr without dh_movetousr
    (Closes: #1122785)
  * d/README.Debian: Remove minimum kernel version for direct-loading
  * Add support and documentation for setting default regulatory domain

  [ Bastian Germann ]
  * Drop unnecessary B-D m2crypto (Closes: #1126431)

 -- Ben Hutchings <benh@debian.org>  Fri, 13 Feb 2026 14:11:18 +0100
