=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 12),
  openssl,
  python3,
- python3-m2crypto,
  python-is-python3,
  quilt
 Rules-Requires-Root: no
